
// Interrupt service routines for stdio.c

//********************************************************************************
// Interrupt Code
//********************************************************************************

  
// Designate ServiceInterrupt as an interrupt function and save key registers

//#pragma interrupt ServiceInterrupt save = PRODL,PRODH,FSR0L,FSR0H
#pragma interrupt ServiceInterrupt save = PRODL,PRODH 

// Locate ISR handler code at interrupt vector

#pragma code isrcode=0x0008

void            isrhandler(void)                           // This function directs
 // execution to the
{                                                          // actual interrupt code
 
	_asm

    	goto ServiceInterrupt

    	_endasm
 
}

#pragma code
  
//********************************************************************************
//* ServiceInterrupt - Process each type of interrupt  (USART, INT0..INT2, 
//* and TMR0IF..TMR3IF).
//********************************************************************************
void            ServiceInterrupt(void)
{
 
    if (PIR1bits.RCIF)                                     // Check for incomming characters from USART  
    {
	ProcessUSART();                                    // Process USART interrupt here
    }                                                  
}


